"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CLI = exports.Code = exports.Text = void 0;
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
var Text;
(function (Text) {
    /**
     * Borrowed from RAPID UX
     * https://ii9vkn.axshare.com/#id=1y2jku&p=old-new_colour_conversion
     */
    Text.primary = chalk_1.default.hex('#11c9fc');
    Text.secondary = chalk_1.default.hex('#08c3a5');
    Text.success = chalk_1.default.hex('#48E89A');
    Text.error = chalk_1.default.hex('#f9644d');
    Text.warning = chalk_1.default.hex('#ffb660');
    Text.grey300 = chalk_1.default.hex('#afbcc4');
    Text.grey400 = chalk_1.default.hex('#9bacb5');
    Text.grey500 = chalk_1.default.hex('#879ba6');
    Text.grey600 = chalk_1.default.hex('#6b8390');
    Text.grey700 = chalk_1.default.hex('#556973');
    Text.grey800 = chalk_1.default.hex('#404f57');
    Text.grey850 = chalk_1.default.hex('#2b343a');
    Text.a = chalk_1.default.hex('#287BDE');
    Text.h1 = Text.primary;
    Text.h2 = Text.warning;
    Text.ul = Text.grey700;
    Text.li = Text.grey700;
    Text.dim = chalk_1.default.dim;
    Text.bold = chalk_1.default.bold;
    Text.value = chalk_1.default.green;
})(Text = exports.Text || (exports.Text = {}));
var Code;
(function (Code) {
    /**
     * Borrowed from Intellij IDEA TypeScript
     */
    Code.string = chalk_1.default.hex('#6A8759');
    Code.keyword = chalk_1.default.hex('#CC7832');
    Code.alias = chalk_1.default.hex('#A9B7C6');
    Code.decorator = chalk_1.default.hex('#BBB529');
    Code.lineComment = (value) => chalk_1.default.hex('#808080')(`// ${value}`);
    Code.docComment = chalk_1.default.hex('#629755');
    Code.htmlElement = chalk_1.default.hex('#BBB529');
    Code.htmlString = chalk_1.default.hex('#A9B7C6');
})(Code = exports.Code || (exports.Code = {}));
var CLI;
(function (CLI) {
    CLI.key = chalk_1.default.blue;
    CLI.command = chalk_1.default.yellow;
    CLI.subCommand = chalk_1.default.green;
    CLI.note = chalk_1.default.dim;
    CLI.generatorDesc = chalk_1.default.yellow;
})(CLI = exports.CLI || (exports.CLI = {}));
